
Core - Task # 55668

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:
Created: 2014-02-04 Assigned To: Nicole Cordes
Updated: 2015-01-27 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: cms/layout entry scripts cleanup
Description

    -  db_layout
    -  db_new_content_el
    -  wizard_backend_layout

replace the calling routine
find and replace calls to the scripts

Associated revisions
Revision 68fedbc3 - 2015-01-27 21:22 - Wouter Wolters

[TASK] cms/layout entry scripts cleanup

Make db_layout.php and db_new_content_el.php dispatched.

Resolves: #55668
Releases: master
Change-Id: Idf26297171ca2d4dd3961fea3d9060a8ff4798c2
Reviewed-on: http://review.typo3.org/32461
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History
#1 - 2014-02-04 21:26 - Anja Leichsenring
- Tracker changed from Bug to Task
- Subject changed from cms/layout entry scripts to sysext cms/layout entry scripts cleanup

#2 - 2014-02-04 21:27 - Anja Leichsenring
- Subject changed from sysext cms/layout entry scripts cleanup to cms/layout entry scripts cleanup

#3 - 2014-03-07 01:25 - Helmut Hummel
- Assigned To changed from Anja Leichsenring to Nicole Cordes
- % Done changed from 0 to 40

#4 - 2014-08-27 22:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#5 - 2014-10-21 08:40 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#6 - 2014-10-21 08:43 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#7 - 2014-10-29 01:22 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#8 - 2014-10-29 01:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#9 - 2014-12-03 17:46 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#10 - 2014-12-06 13:06 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#11 - 2014-12-06 13:09 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#12 - 2015-01-26 23:05 - Gerrit Code Review
Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#13 - 2015-01-27 00:02 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#14 - 2015-01-27 16:28 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32461

#15 - 2015-01-27 21:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 40 to 100

Applied in changeset commit:68fedbc3d577d49fee39e61577dfc48b813c7a29.
